package models

import (
	"time"
)

type CmTreeContracts struct {
	Id               int       `xorm:"not null pk autoincr comment('自增ID') INT(11)"`
	TreeType         int       `xorm:"not null default 0 comment('项目节类型(0收入，1支出)') TINYINT(1)"`
	TreeId           int       `xorm:"not null comment('树ID') INT(11)"`
	ParentId         int       `xorm:"not null default 0 comment('父级ID') INT(11)"`
	Name             string    `xorm:"not null comment('名称') VARCHAR(64)"`
	Code             string    `xorm:"comment('项目节编号') VARCHAR(32)"`
	Depth            int       `xorm:"not null default 0 comment('深度') TINYINT(4)"`
	Serial           int       `xorm:"not null default 0 comment('序号') INT(11)"`
	Attribution      string    `xorm:"comment('归属') VARCHAR(32)"`
	Sort             int       `xorm:"not null default 0 comment('排序') TINYINT(4)"`
	ProjectId        int       `xorm:"not null default 0 comment('项目ID') INT(11)"`
	BidsectionId     int       `xorm:"comment('标段ID') INT(11)"`
	ContractId       int       `xorm:"not null default 0 comment('合同ID') INT(11)"`
	ContractName     string    `xorm:"comment('合同名称') VARCHAR(64)"`
	ContractCode     string    `xorm:"comment('合同编号') VARCHAR(32)"`
	ContractPrice    string    `xorm:"not null default 0.00 comment('合同金额') DECIMAL(12,2)"`
	ContractReturned string    `xorm:"not null default 0.00 comment('回款金额') DECIMAL(12,2)"`
	ContractsPaid    string    `xorm:"not null default 0.00 comment('合同已支付金额') DECIMAL(12,2)"`
	ContractStatus   int       `xorm:"not null default 0 comment('合同状态(0履行中1待关闭2正常关闭)') TINYINT(1)"`
	ContractLocking  int       `xorm:"not null default 0 comment('合同锁定(0未锁定1锁定)') TINYINT(1)"`
	CreateTime       time.Time `xorm:"comment('创建时间') DATETIME"`
}
